%{?nodejs_find_provides_and_requires}

%global packagename fast-levenshtein

Name:		nodejs-fast-levenshtein
Version:	1.1.3
Release:	6%{?dist}
Summary:	Efficient implementation of Levenshtein algorithm

License:	MIT
URL:		https://github.com/hiddentao/fast-levenshtein.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Adjust timeouts on tests
Patch0:		fast-levenshtein_adjust-timeouts.patch


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	uglify-js

%description
Efficient implementation of Levenshtein algorithm with asynchronous callback
support.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
#
%patch0 -p1


%build
%{_bindir}/uglifyjs levenshtein.js -o levenshtein.min.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-2
- Fix BuildRequires

* Tue Feb 16 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Initial packaging
